#include<stdio.h>
#include<string.h>
int main()
{
	const int d = 15;
	char Esm[21], Temp[21]; //tedad 20 makan bara esm va 1 bara null 
	//tarife pointer
	int *i, *MaxLen;
	//gereftane fazaye hafeze baraye pointer ha
	i = (int*)malloc(sizeof(int));
	MaxLen = (int*)malloc(sizeof(int));

	//pardazesh barname
	*MaxLen = 0;
	printf ("tedade %d Asami ra vared konid : ", d);
	for(*i=0; *i < d; (*i)++)
	{
		scanf("%s", Esm);
		if(strlen(Esm) > *MaxLen)
		{
			*MaxLen = strlen(Esm);
			strcpy(Temp, Esm);
		}
	}
	//Namyesh Natije
	printf("Natije = %s", Temp);

	//azad sazi fazaye hafeze baraye pointer ha
	free(i);
	free(MaxLen);

	getch();
}

